local MSQ = LibStub("Masque", true)
if not MSQ then return end

MSQ:AddSkin("KringelUI 1", {
	Author = "Kringel",
	Version = "1.0",
	Shape = "Square",
	Icon = {
		Width = 36,
		Height = 36,
		TexCoords = {0.08, 0.92, 0.08, 0.92},
	},
	Cooldown = {
		Width = 36,
		Height = 36,
	},
	ChargeCooldown = {
		Width = 36,
		Height = 36,
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = 2,
	},
	Count = {
		Width = 42,
		Height = 10,
		JustifyH = "RIGHT",
		JustifyV = "BOTTOM",
		OffsetY = 2,
		OffsetX = -1,
	},
	HotKey = {
		Width = 42,
		Height = 10,
		JustifyH = "CENTER",
		JustifyV = "TOP",
		OffsetX = -1,
		OffsetY = 4,
	},
	Duration = {
		Width = 42,
		Height = 10,
		OffsetY = -2,
	},
	Backdrop = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\inset\Backdrop]],
	},
	Normal = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\inset\Normal]],
		Color = { 0.125, 0.125, 0.125, 1 },
	},
	Pushed = {
		Width = 36,
		Height = 38,
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\inset\Overlay]],
		Color = { 1, 1, 1, 0.1 },
	},
	Highlight = {
		Width = 42,
		Height = 42,
		BlendMode = "ADD",
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\inset\Overlay]],
		Color = { 1, 1, 1, 0.1 },
	},
	Flash = {
		Width = 36,
		Height = 38,
		Color = { 1, 0, 0, 0.2 },
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\inset\Overlay]],
	},
	AutoCastable = {
		Width = 64,
		Height = 64,
		OffsetX = 0.5,
		OffsetY = -0.5,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Gloss = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\Addons\Masque_KringelUI\Textures\inset\Gloss]],
	},
	Checked = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 0.7, 0.9, 0.7},
		Texture = [[Interface\Addons\Masque_KringelUI\Textures\inset\Border]],
	},
	Border = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 1, 0, 0.5},
		Texture = [[Interface\Addons\Masque_KringelUI\Textures\inset\Border]],
	},
	Disabled = {
		Width = 64,
		Height = 64,
		Static = true,
		Color = {1, 1, 1, 0.5},
	};
}, true)


MSQ:AddSkin("KringelUI 2", {
	Author = "Kringel",
	Version = "1.0",
	Shape = "Square",
	Icon = {
		Width = 36,
		Height = 36,
		TexCoords = {0.08, 0.92, 0.08, 0.92},
	},
	Cooldown = {
		Width = 36,
		Height = 36,
	},
	ChargeCooldown = {
		Width = 36,
		Height = 36,
	},
	Name = {
		Width = 42,
		Height = 10,
		OffsetY = 2,
	},
	Count = {
		Width = 42,
		Height = 10,
		JustifyH = "RIGHT",
		JustifyV = "BOTTOM",
		OffsetY = 2,
		OffsetX = -1,
	},
	HotKey = {
		Width = 42,
		Height = 10,
		JustifyH = "CENTER",
		JustifyV = "TOP",
		OffsetX = -1,
		OffsetY = 4,
	},
	Duration = {
		Width = 42,
		Height = 10,
		OffsetY = -2,
	},
	Backdrop = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\outset\Backdrop]],
	},
	Normal = {
		Width = 42,
		Height = 42,
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\outset\Normal]],
		Color = { 0.125, 0.125, 0.125, 1 },
	},
	Pushed = {
		Width = 36,
		Height = 38,
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\outset\Overlay]],
		Color = { 1, 1, 1, 0.1 },
	},
	Highlight = {
		Width = 42,
		Height = 42,
		BlendMode = "ADD",
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\outset\Overlay]],
		Color = { 1, 1, 1, 0.1 },
	},
	Flash = {
		Width = 36,
		Height = 38,
		Color = { 1, 0, 0, 0.2 },
		Texture = [[Interface\AddOns\Masque_KringelUI\Textures\outset\Overlay]],
	},
	AutoCastable = {
		Width = 64,
		Height = 64,
		OffsetX = 0.5,
		OffsetY = -0.5,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Gloss = {
		Width = 40,
		Height = 42,
		Texture = [[Interface\Addons\Masque_KringelUI\Textures\outset\Gloss]],
	},
	Checked = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 0.7, 0.9, 0.7},
		Texture = [[Interface\Addons\Masque_KringelUI\Textures\outset\Border]],
	},
	Border = {
		Width = 42,
		Height = 42,
		BlendMode = "BLEND",
		Color = {0, 1, 0, 0.5},
		Texture = [[Interface\Addons\Masque_KringelUI\Textures\outset\Border]],
	},
	Disabled = {
		Width = 64,
		Height = 64,
		Static = true,
		Color = {1, 1, 1, 0.5},
	};
}, true)